# ACH

The **ACH API** allows you to process electronic bank-to-bank payments using your customer's checking or savings account information. This API provides a secure alternative card-based payments for businesses that prefer bank transfers.

The ACH transactions are not processed in real time and require completion of the banking process before funds are confirmed.

### ACH transaction processing steps

Unlike card transactions, ACH payments are not approved in real time. Transactions are submitted and processed in batches through the banking network.

After transaction submission, they move through the following statuses:

* The transaction is created with a **Pending** status
* The transaction enters the processing queue
* The transaction status updates to **Settling** during processing
* The transaction completes as:
  * **Settled** – Funds are successfully cleared
  * **Returned** – Transaction failed (for example, insufficient funds or invalid account)

### Integration options

The following integration methods also support ACH payments:

* [Paylink](https://docs.xplorpay.com/api-reference/api/payments/gateway-settings/paylink) - Supports ACH direct debit payments.
* [JavaScript SDK](https://docs.xplorpay.com/guides) - Supports ACH credit and direct debit payments.

{% hint style="info" %}
Paya and DCS, third-party service providers, handle ACH transactions and reporting.
{% endhint %}

* [ACH Transaction](/api-reference/api/payments/ach/ach-transaction.md)
* [ACH Vault (Token)](/api-reference/api/payments/ach/ach-vault-token.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/ach.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
